	-- MovieClip animation - evs
	
	local imageWidth, imageHeight, frameCount = 120, 160, 34
	local pack = TexturePack.new("rotate.txt", "rotate.png")
	local frames = {} -- table for the frames

	-- set up MovieClip table from pngs 01 to 34
	for i = 1, frameCount do
		
		frames[i] = {i, i, Bitmap.new(pack:getTextureRegion(string.format("%02d.png", i)))}
		
	end
	
	local clip = MovieClip.new(frames) -- create clip and start
	clip:setGotoAction(frameCount, 1) -- set clip to loop back to start (1) at end (frameCount)

	clip:setPosition(application:getDeviceWidth() / 2 - imageWidth / 2 , 
					 application:getDeviceHeight() / 2 - imageHeight / 2) -- center
	
	stage:addChild(clip) -- show it